package logic

import (
	"context"
	"jyBXSubscribe/rpc/type/bxsubscribe"

	"jyBXSubscribe/api/internal/svc"
	"jyBXSubscribe/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetUserLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserLogic {
	return &GetUserLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetUserLogic) GetUser(req *types.GetUserReq) (*types.CommonResp, error) {
	// todo: add your logic here and delete this line
	res, err := l.svcCtx.Suscribe.UserInfo(l.ctx, &bxsubscribe.GetUserInfoReq{
		UserId:       req.UserId,
		EntId:        req.EntId,
		EntUserId:    req.EntUserId,
		PositionType: req.PositionType,
		BaseUserId:   req.BaseUserId,
		ServiceType:  req.ServiceType,
	})
	if err != nil {
		return &types.CommonResp{
			Err_code: res.ErrorCode,
			Err_msg:  res.ErrorMsg,
			Data:     nil,
		}, nil
	}
	return &types.CommonResp{
		Err_code: res.ErrorCode,
		Err_msg:  res.ErrorMsg,
		Data:     res.Data,
	}, nil
}
